org.eclipse.emf.spi.cdo

## Interface InternalCDOUserTransaction

- All Superinterfaces:
    CDOUserTransaction
  All Known Subinterfaces:
    InternalCDOTransaction, InternalCDOXATransaction

      public interface InternalCDOUserTransaction
      extends CDOUserTransaction

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `InternalCDOUserSavepoint` | `getLastSavepoint()`
    `InternalCDOUserSavepoint` | `setSavepoint()` Creates a save point in the `CDOTransaction` that can be used to roll back a part of the transaction

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserTransaction

      `commit, commit, rollback`

- - ### Method Detail

    - #### setSavepoint

          InternalCDOUserSavepoint setSavepoint()

      Description copied from interface: `CDOUserTransaction`
      Creates a save point in the `CDOTransaction` that can be used to roll back a part of the transaction

      Save points do not involve the server side, everything is done on the client side.

      Specified by:
        `setSavepoint` in interface `CDOUserTransaction`

    - #### getLastSavepoint

          InternalCDOUserSavepoint getLastSavepoint()

      Specified by:
        `getLastSavepoint` in interface `CDOUserTransaction`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html